#
# spec file for package python3-docker-py
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name docker-py
Name:           python3-docker-py
Version:        1.5.0
Release:        3.1
Summary:        Docker API Client
License:        Apache-2.0
Group:          System/Management
Url:            https://pypi.python.org/pypi/docker-py
Source0:        https://pypi.python.org/packages/source/d/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

# openSUSE-Patch hide_py_pckgmgmt.patch
Patch0:         hide_py_pckgmgmt.patch
Patch1:         dockpyTest_pathAdd.patch
Requires:       python3-requests >= 2.5.2
Requires:       python3-six >= 1.4.0
Requires:       python3-websocket-client >= 0.32.0
BuildRequires:  fdupes
#BuildRequires:  python3-coverage
#BuildRequires:  python3-mock
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-websocket-client
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A docker API client in Python

%package test
Summary:        Unit tests
Group:          Development/Languages/Python3
Requires:       %{name} == %{version}
#Requires:       python3-coverage
#Requires:       python3-mock >= 1.0.1
Requires:       python3-requests >= 2.5.2
Requires:       python3-setuptools
Requires:       python3-six >= 1.4.0
Requires:       python3-websocket-client >= 0.32.0

%description test
Unit tests for docker-py

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1
%patch1

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
cp -r tests %{buildroot}/%{python3_sitelib}/docker
%fdupes %{buildroot}

%check
#python3 tests/test.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%dir %{python3_sitelib}/*
%exclude %{python3_sitelib}/docker/tests/
%{python3_sitelib}/docker/*
%{python3_sitelib}/*egg-info/*

%files test
%defattr(-,root,root,-)
%dir %{python3_sitelib}/docker/tests
%{python3_sitelib}/docker/tests/*

%changelog
* Fri Jan 15 2016 andrea@opensuse.org
- listing patches backported from python-docker-py
  * dockpyTest_pathAdd.patch
  * hide_py_pckgmgmt.patch
* Thu Jan 14 2016 andrea@opensuse.org
- Ported to python3, new package
